> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Market Holidays

> Get market holidays. It takes half-days into account.



## OpenAPI

````yaml /openapi.json get /stocks/markets/holidays
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /stocks/markets/holidays:
    get:
      tags:
        - Markets
      summary: Market Holidays
      description: Get market holidays. It takes half-days into account.
      operationId: stocks_get_market_holidays
      parameters:
        - name: mic
          in: query
          required: false
          schema:
            type: string
            title: MIC code
            description: >-
              Specify comma separated list of MIC codes for which market to show
              data for.
          description: >-
            Specify comma separated list of MIC codes for which market to show
            data for.
          example: XNYS
        - name: start
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Start date
            description: Show holidays starting at this date.
          description: Show holidays starting at this date.
          example: '2026-04-30'
        - name: end
          in: query
          required: true
          schema:
            type: string
            format: date
            title: End date
            description: Show holidays until this date.
          description: Show holidays until this date.
          example: '2026-05-07'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MarketHolidayResponse'
                title: Response Stocks Get Market Holidays
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MarketHolidayResponse:
      properties:
        exchange:
          type: string
          title: Exchange
          description: Full name of the exchange
          examples:
            - New York Stock Exchange
        flag:
          type: string
          title: Flag
          description: Country flag emoji
          examples:
            - 🇺🇸
        mic:
          type: string
          title: Mic
          description: Market Identifier Code (ISO 10383)
          examples:
            - XNYS
        date:
          type: string
          title: Date
          description: Date of the holiday (YYYY-MM-DD)
          examples:
            - '2024-11-29'
        day_of_week:
          type: string
          title: Day Of Week
          description: Day of the week
          examples:
            - Friday
        is_weekend:
          type: boolean
          title: Is Weekend
          description: Whether the holiday falls on a weekend
          examples:
            - false
        is_business_day:
          type: boolean
          title: Is Business Day
          description: Whether the day is a business day
          examples:
            - true
        holiday_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Holiday Name
          description: Name of the holiday
          examples:
            - Black Friday
        is_early_close:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Early Close
          description: Whether the market closes early on this day
          examples:
            - true
        open_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Open Time
          description: Opening time for the day
          examples:
            - '2024-11-29T09:30:00-05:00'
        close_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Close Time
          description: Closing time for the day
          examples:
            - '2024-11-29T13:00:00-05:00'
      type: object
      required:
        - exchange
        - flag
        - mic
        - date
        - day_of_week
        - is_weekend
        - is_business_day
        - holiday_name
        - is_early_close
        - open_time
        - close_time
      title: MarketHolidayResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````